Workbooks - Revisions List
resourceName で定義されたブックのリビジョンを取得します。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Insights/workbooks/{resourceName}/revisions?api-version=2021-08-01
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
リソース グループの名前。 名前では大文字と小文字が区別されません。 |
|
resource
|
path | True |
string |
Application Insights コンポーネント リソースの名前。 |
|
subscription
|
path | True |
string minLength: 1 |
ターゲット サブスクリプションの ID。 |
|
api-version
|
query | True |
string minLength: 1 |
この操作に使用する API バージョン。 |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 200 OK |
0 個以上のブック定義を含むリスト。 |
|
| Other Status Codes |
操作が失敗した理由を説明するエラー応答。 |
セキュリティ
azure_auth
Azure Active Directory OAuth2 フロー。
型:
oauth2
フロー:
implicit
Authorization URL (承認 URL):
https://login.microsoftonline.com/common/oauth2/authorize
スコープ
| 名前 | 説明 |
|---|---|
| user_impersonation | ユーザー アカウントを偽装する |
例
WorkbookRevisionsList
要求のサンプル
GET https://management.azure.com/subscriptions/6b643656-33eb-422f-aee8-3ac145d124af/resourceGroups/my-resource-group/providers/Microsoft.Insights/workbooks/deadb33f-5e0d-4064-8ebb-1a4ed0313eb2/revisions?api-version=2021-08-01
応答のサンプル
{
"value": [
{
"id": "/subscriptions/6b643656-33eb-422f-aee8-3ac145d124af/resourcegroups/my-resource-group/providers/Microsoft.Insights/workbooks/deadb33f-5e0d-4064-8ebb-1a4ed0313eb2",
"name": "deadb33f-5e0d-4064-8ebb-1a4ed0313eb2",
"type": "Microsoft.Insights/workbooks",
"location": "westus",
"tags": {},
"kind": "shared",
"properties": {
"displayName": "My Workbook 1",
"userId": "userId",
"sourceId": "Azure Monitor",
"serializedData": null,
"version": "Notebook/1.0",
"category": "workbook",
"timeModified": "2020-09-04T09:07:17.735638Z",
"storageUri": null,
"description": "Sample workbook",
"revision": "1e2f8435b98248febee70c64ac22e1ab"
}
},
{
"id": "/subscriptions/6b643656-33eb-422f-aee8-3ac145d124af/resourcegroups/my-resource-group/providers/Microsoft.Insights/workbooks/deadb33f-5e0d-4064-8ebb-1a4ed0313eb2",
"name": "deadb33f-5e0d-4064-8ebb-1a4ed0313eb2",
"type": "Microsoft.Insights/workbooks",
"location": "westus",
"tags": {
"TagSample01": "sample01",
"TagSample02": "sample02"
},
"kind": "shared",
"properties": {
"displayName": "My Workbook 2",
"userId": "userId",
"sourceId": "Azure Monitor",
"serializedData": null,
"version": "Notebook/1.0",
"category": "workbook",
"timeModified": "2020-08-04T09:07:17.735638Z",
"storageUri": null,
"description": "Sample workbook",
"revision": "1e2f8435b98248febee70c64ac22e1bb"
}
}
],
"nextLink": null
}
定義
| 名前 | 説明 |
|---|---|
|
created |
リソースを作成した ID の種類。 |
| Identity |
BYOS に使用される ID |
| kind |
ブックの種類。 有効な値のみが共有されます。 |
|
Managed |
マネージド サービス ID の種類 (SystemAssigned 型と UserAssigned 型の両方が許可されます)。 |
|
system |
リソースの作成と最後の変更に関連するメタデータ。 |
|
User |
ユーザー割り当て ID プロパティ |
| Workbook |
Application Insights ブックの定義。 |
|
Workbook |
エラー応答。 |
|
Workbook |
エラー定義。 |
|
Workbook |
エラーの詳細 |
|
Workbooks |
ブックの一覧の結果。 |
createdByType
リソースを作成した ID の種類。
| 値 | 説明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
Identity
BYOS に使用される ID
| 名前 | 型 | 説明 |
|---|---|---|
| principalId |
string (uuid) |
システム割り当て ID のサービス プリンシパル ID。 このプロパティは、システム割り当て ID にのみ提供されます。 |
| tenantId |
string (uuid) |
システム割り当て ID のテナント ID。 このプロパティは、システム割り当て ID にのみ提供されます。 |
| type |
マネージド サービス ID の種類 (SystemAssigned 型と UserAssigned 型の両方が許可されます)。 |
|
| userAssignedIdentities |
<string,
User |
User-Assigned ID |
kind
ブックの種類。 有効な値のみが共有されます。
| 値 | 説明 |
|---|---|
| user | |
| shared |
ManagedServiceIdentityType
マネージド サービス ID の種類 (SystemAssigned 型と UserAssigned 型の両方が許可されます)。
| 値 | 説明 |
|---|---|
| None | |
| SystemAssigned | |
| UserAssigned | |
| SystemAssigned,UserAssigned |
systemData
リソースの作成と最後の変更に関連するメタデータ。
| 名前 | 型 | 説明 |
|---|---|---|
| createdAt |
string (date-time) |
リソース作成のタイムスタンプ (UTC)。 |
| createdBy |
string |
リソースを作成した ID。 |
| createdByType |
リソースを作成した ID の種類。 |
|
| lastModifiedAt |
string (date-time) |
リソースの最終変更のタイムスタンプ (UTC) |
| lastModifiedBy |
string |
リソースを最後に変更した ID。 |
| lastModifiedByType |
リソースを最後に変更した ID の種類。 |
UserAssignedIdentity
ユーザー割り当て ID プロパティ
| 名前 | 型 | 説明 |
|---|---|---|
| clientId |
string (uuid) |
割り当てられた ID のクライアント ID。 |
| principalId |
string (uuid) |
割り当てられた ID のプリンシパル ID。 |
Workbook
Application Insights ブックの定義。
| 名前 | 型 | 説明 |
|---|---|---|
| etag |
object |
リソース etag |
| id |
string |
リソースの完全修飾リソース ID。 例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| identity |
BYOS に使用される ID |
|
| kind |
ブックの種類。 有効な値のみが共有されます。 |
|
| location |
string |
リソースが存在する地理的な場所 |
| name |
string |
リソースの名前 |
| properties.category |
string |
作成時にユーザーが定義したブック カテゴリ。 |
| properties.description |
string |
ブックの説明。 |
| properties.displayName |
string |
ブックのユーザー定義名 (表示名)。 |
| properties.revision |
string |
このブック定義の一意のリビジョン ID |
| properties.serializedData |
string |
この特定のブックの構成。 構成データは、有効な JSON を含む文字列です |
| properties.sourceId |
string |
ソース リソースの ResourceId。 |
| properties.storageUri |
string |
独自のストレージを持ち込むときにストレージ アカウントに対する resourceId が使用される |
| properties.tags |
string[] |
非推奨の場合は、他のタグ フィールドを使用してください |
| properties.timeModified |
string (date-time) |
このブック定義に対して最後に変更された日付と時刻 (UTC)。 |
| properties.userId |
string |
このブックを所有する特定のユーザーの一意のユーザー ID。 |
| properties.version |
string |
'Notebook/1.0' のようなブック スキーマのバージョン形式。serializedData 内のブックと一致する必要があります |
| systemData |
リソースの作成と最後の変更に関連するメタデータ。 |
|
| tags |
object |
リソース タグ。 |
| type |
string |
リソースの種類。 例: "Microsoft.Compute/virtualMachines" または "Microsoft.Storage/storageAccounts" |
WorkbookError
エラー応答。
| 名前 | 型 | 説明 |
|---|---|---|
| error |
エラーの詳細。 |
WorkbookErrorDefinition
エラー定義。
| 名前 | 型 | 説明 |
|---|---|---|
| code |
string |
HTTP エラー コードのサブステータスとして機能するサービス固有のエラー コード。 |
| innererror |
内部エラーの詳細。 |
|
| message |
string |
エラーの説明。 |
WorkbookInnerErrorTrace
エラーの詳細
| 名前 | 型 | 説明 |
|---|---|---|
| trace |
string[] |
詳細なエラー トレース |
WorkbooksListResult
ブックの一覧の結果。
| 名前 | 型 | 説明 |
|---|---|---|
| nextLink |
string |
|
| value |
Workbook[] |
ブックの配列。 |